<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="OrderTest Suite">

    <test name="OrderTest">
        <classes>
            <class name="com.moyuer.cloud.systemtest.test.order.SupplierOrderTest">
                <methods>
                    <include name="cancelOrderTest"/>
                    <include name="changeAmountOrderTest"/>
                    <include name="noDeliveryOrderTest"/>
                    <include name="multiRefundOrderTest"/>
                    <include name="unDeliveryShopReceiveRefundOrderTest"/>
                    <include name="unDeliverySupplierReceiveRefundOrderTest"/>
                    <include name="deliveredShopReceiveRefundOrderTest"/>
                    <include name="deliveredSupplierReceiveRefundOrderTest"/>
                    <include name="deliveredShopReceiveRefundDeliveryTest"/>
                    <include name="deliveredSupplierReceiveRefundDeliveryTest"/>
                    <include name="receivedShopReceiveRefundTest"/>
                    <include name="receivedSupplierReceiveRefundTest"/>
                    <include name="receivedShopReceiveRefundDeliveryTest"/>
                    <include name="receivedSupplierReceiveRefundDeliveryTest"/>
                    <include name="unDeliverySupplierDeliveryTest"/>
                    <include name="unDeliverySupplierReceiveTest"/>
                    <include name="completedShopReceiveTest"/>
                    <include name="completedSupplierReceiveTest"/>
                    <include name="completedRefundDeliveryShopReceiveTest"/>
                    <include name="completedRefundDeliverySupplierReceiveTest"/>
                    <include name="unBuySupplierTest"/>
                    <include name="unBuySupplierRefundTest"/>
                    <include name="buySupplierRefundShopReceiveTest"/>
                    <include name="buySupplierRefundSupplierReceiveTest"/>
                    <include name="completeBuySupplierRefundShopReceiveTest"/>
                    <include name="completeBuySupplierRefundSupplierReceiveTest"/>
                    <include name="differentSupplerProductOrderTest"/>
                    <include name=""/>
                </methods>
            </class>
        </classes>
    </test>

    <listeners>
        <listener class-name="org.uncommons.reportng.HTMLReporter"/>
        <listener class-name="org.uncommons.reportng.JUnitXMLReporter"/>
    </listeners>
</suite>